from django.urls import path

from .views import home, create_agent, my_agents, publish_agent, delete_agent, edit_agent, agent_detail, signup, CustomLoginView

urlpatterns = [
    path("", home, name="home"),
    path("signup/", signup, name="signup"),
    path("login/", CustomLoginView.as_view(), name="login"),
    path("create-agent/", create_agent, name="create_agent"),
    path("my-agents/", my_agents, name="my_agents"),
    path("agents/<int:agent_id>/publish/", publish_agent, name="publish_agent"),
    path("agents/<int:agent_id>/delete/", delete_agent, name="delete_agent"),
    path("agents/<int:agent_id>/edit/", edit_agent, name="edit_agent"),
    path("agent/<int:agent_id>/", agent_detail, name="agent_detail"),
]
